---
title: Get the detailed information about an environment under your Headless Platform application
url: https://developers.wpengine.com/docs/headless-platform/reference/api/endpoints/operations/apps_getenvironment/
image: https://developers.wpengine.com/og/docs/headless-platform/reference/api/endpoints/operations/apps_getenvironment.png
---

# Get the detailed information about an environment under your Headless Platform application

GET

/v1/accounts/{account}/apps/{app}/environments/{environment}

Select code sample

```sh
curl --request GET \
  --url https://js.wpengineapi.com/v1/accounts/example/apps/example/environments/example \
  --header 'Authorization: Basic <credentials>'
```

-

## Authorizations

- **[basicAuth](https://developers.wpengine.com/docs/headless-platform/reference/api/endpoints/#basicauth)**

## Parameters

### Path Parameters

**account**

required

string

Name of your WP Engine Headless Platform account

**app**

required

string

Name of your Headless Platform application

**environment**

required

string

ID of your environment

## Responses

### 200

A successful response.

Media typeapplication/json

*Environment*

Environment represents a Headless Platform environment under a given application

object

**branch**

required

*Branch name*

The branch name from which the Environment is going to be built. In case of using .zip upload, the value should equal to `uploadable`

string

**build**

*Currently deployed build*

A Build describes steps taken to deploy (activate) the Environment. Format is: \`accounts/{account}/apps/{app}/builds/{build}

string

**createTime**

*Create time*

The timestamp when the environment was created.

string format: date-time

**displayName**

required

*Display name*

A name of the Environment used for display purposes

string

**domains**

*Domains list*

A list of domains associated with the Environment.

Array\<string>

**name**

*Resource name*

Environment name in the format of: accounts/{account}/apps/{app}/environments/{environment}

string

**reconciling**

*Reconciling*

An Environment is marked as reconciling if its current state does not match the user’s requested intended state (as seen via GetEnvironmentSpec), and the system is working to reconcile them.

boolean

**rootDirectory**

*Root directory*

Root directory in which customer code is located.

string

**shellVariables**

*Shell Variable list*

A list of environment variables available in the environment’s container.

Array\<object>

*ShellVariable*

Environment variable represents a value available in the environment’s container under the specific key.

object

**key**

*Environment variable key. Must match regex: \`\[-.\_a-zA-Z]\[-.\_a-zA-Z0-9]\*\`. Must not match any of the following case-insensitive globs: WPE\_\*, ATLAS_METADATA\*, HEADLESS_METADATA\_\*, HOME, PORT, K\_\*, TMP, TMPDIR, TEMP*

string

**value**

Environment variable value.

string

**updateTime**

*Update time*

The timestamp when the environment was most recently updated. This value changes every time when user modifies this resource. It may also change when the service modifies the resource, but this is not currently guaranteed.

string format: date-time

**wpEnvironment**

required

*WordPress environment*

Name of the WordPress environment linked with this Environment. The Environment will have the same access visibility as wp_environment.

string

#### Example generated

```json
{
  "branch": "example",
  "displayName": "example",
  "domains": [
    "example"
  ],
  "rootDirectory": "example",
  "shellVariables": [
    {
      "key": "example",
      "value": "example"
    }
  ],
  "wpEnvironment": "example"
}
```

## Was this helpful?

Thanks for the feedback!

```json
{"@context":"https://schema.org","@graph":[{"@type":"WebSite","@id":"https://developers.wpengine.com/#website","name":"WP Engine Product Documentation","url":"https://developers.wpengine.com/","description":"Resources for developing, deploying, and scaling on WP Engine.","inLanguage":"en-US","keywords":["API documentation","product documentation","headless WordPress","managed WordPress hosting"],"publisher":{"@id":"https://wpengine.com/#organization"}}]}
```
